import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { Bus_recover_order_detail } from '../models/index';
/**
 * @author auto generate
 * @version 1.2
 * @date 2021-12-20 17:46
 */
interface Bus_recover_order_detailCU extends ConditionUtil<Bus_recover_order_detailCU> {
    ID: FieldUtil<Bus_recover_order_detailCU>;
    ORDER_NO: FieldUtil<Bus_recover_order_detailCU>;
    BILL_ID: FieldUtil<Bus_recover_order_detailCU>;
    DURATION_TIME: FieldUtil<Bus_recover_order_detailCU>;
    IN_CAR_TIME: FieldUtil<Bus_recover_order_detailCU>;
    IN_NODE_NAME: FieldUtil<Bus_recover_order_detailCU>;
    OUT_CAR_TIME: FieldUtil<Bus_recover_order_detailCU>;
    OUT_IMAGE_URL: FieldUtil<Bus_recover_order_detailCU>;
    OUT_NODE_NAME: FieldUtil<Bus_recover_order_detailCU>;
    RECEIVABLE_AMOUNT: FieldUtil<Bus_recover_order_detailCU>;
    IN_IMAGE_URL: FieldUtil<Bus_recover_order_detailCU>;
}
declare class Bus_recover_order_detailMU extends TableUtilImpl<Bus_recover_order_detailCU, Bus_recover_order_detail> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): Bus_recover_order_detailCU;
    static get ID(): FieldUtil<Bus_recover_order_detailCU>;
    static get ORDER_NO(): FieldUtil<Bus_recover_order_detailCU>;
    static get BILL_ID(): FieldUtil<Bus_recover_order_detailCU>;
    static get DURATION_TIME(): FieldUtil<Bus_recover_order_detailCU>;
    static get IN_CAR_TIME(): FieldUtil<Bus_recover_order_detailCU>;
    static get IN_NODE_NAME(): FieldUtil<Bus_recover_order_detailCU>;
    static get OUT_CAR_TIME(): FieldUtil<Bus_recover_order_detailCU>;
    static get OUT_IMAGE_URL(): FieldUtil<Bus_recover_order_detailCU>;
    static get OUT_NODE_NAME(): FieldUtil<Bus_recover_order_detailCU>;
    static get RECEIVABLE_AMOUNT(): FieldUtil<Bus_recover_order_detailCU>;
    static get IN_IMAGE_URL(): FieldUtil<Bus_recover_order_detailCU>;
    get ID(): FieldUtil<Bus_recover_order_detailCU>;
    get ORDER_NO(): FieldUtil<Bus_recover_order_detailCU>;
    get BILL_ID(): FieldUtil<Bus_recover_order_detailCU>;
    get DURATION_TIME(): FieldUtil<Bus_recover_order_detailCU>;
    get IN_CAR_TIME(): FieldUtil<Bus_recover_order_detailCU>;
    get IN_NODE_NAME(): FieldUtil<Bus_recover_order_detailCU>;
    get OUT_CAR_TIME(): FieldUtil<Bus_recover_order_detailCU>;
    get OUT_IMAGE_URL(): FieldUtil<Bus_recover_order_detailCU>;
    get OUT_NODE_NAME(): FieldUtil<Bus_recover_order_detailCU>;
    get RECEIVABLE_AMOUNT(): FieldUtil<Bus_recover_order_detailCU>;
    get IN_IMAGE_URL(): FieldUtil<Bus_recover_order_detailCU>;
}
export { Bus_recover_order_detailMU, Bus_recover_order_detailCU };
